View Issue Details

IDCategoryLast Update
0004602bugs2012-05-15 12:15
Reporterthe_CLAAssigned Topaul 
Reproducibilityalways 
Status resolvedResolutionfixed 
Product VersionSVN/2.0-ongoing 
Fixed in Version 
Summary0004602: [PATCH] Making a crossfade very short and then expanding it again resulst in a very deformed crossfade
DescriptionUsing A3 built from SVN 11120

Creating a crossfade with full overlap and then reducing it to a length of only very few samples will result in a deformed crossfade when expanding it again.

Steps to reproduce:

- create a Session with one audio (mono) track
- record a little region
- copy the region and then create an overlap with a crossfade at full overlap
- zoom in fully so that you can reduce the crossfade overlap to a very small value (by trimming or moving the later region)
- expand the crossfade again
- see it's very deformed now

BTW I've seen similar behaviour with region fades in Harrison Mixbus.
TagsNo tags attached.

Activities

2011-12-30 20:52

 

Bildschirmfoto-1.png (107,066 bytes)
Bildschirmfoto-1.png (107,066 bytes)

cth103

2011-12-31 13:25

administrator   ~0012505

Should be improved in SVN 11125. Any comments?

the_CLA

2011-12-31 13:42

reporter   ~0012506

Tried rev. 11127 and it looks good. :)

Same issue exists in A2, so maybe the fix should be backported.

2011-12-31 14:05

 

4602.patch (466 bytes)
diff --git a/libs/ardour/automation_event.cc b/libs/ardour/automation_event.cc
index 50942f9..8dc4f43 100644
--- a/libs/ardour/automation_event.cc
+++ b/libs/ardour/automation_event.cc
@@ -309,7 +309,7 @@ AutomationList::extend_to (double when)
 void AutomationList::_x_scale (double factor)
 {
 	for (AutomationList::iterator i = events.begin(); i != events.end(); ++i) {
-		(*i)->when = floor ((*i)->when * factor);
+		(*i)->when *= factor;
 	}
 
 	mark_dirty ();
4602.patch (466 bytes)

cth103

2011-12-31 14:06

administrator   ~0012507

Attached backport to 2.0.

the_CLA

2011-12-31 17:32

reporter   ~0012508

Patch successfully tested in A2 and Mixbus2. In Mixbus2 it solves both deformations I've been seeing - in region fades and cross fades. :)

paul

2012-05-15 12:15

administrator   ~0013242

committed rev 12287. thanks!

Issue History

Date Modified Username Field Change
2011-12-30 20:52 the_CLA New Issue
2011-12-30 20:52 the_CLA File Added: Bildschirmfoto-1.png
2011-12-31 13:03 cth103 cost => 0.00
2011-12-31 13:03 cth103 Target Version => 3.0-beta2
2011-12-31 13:25 cth103 Note Added: 0012505
2011-12-31 13:25 cth103 Status new => feedback
2011-12-31 13:42 the_CLA Note Added: 0012506
2011-12-31 14:05 cth103 File Added: 4602.patch
2011-12-31 14:05 cth103 Status feedback => confirmed
2011-12-31 14:05 cth103 Product Version SVN 3.0 => SVN/2.0-ongoing
2011-12-31 14:05 cth103 Target Version 3.0-beta2 => 2.8.13
2011-12-31 14:05 cth103 Summary Making a crossfade very short and then expanding it again resulst in a very deformed crossfade => [PATCH] Making a crossfade very short and then expanding it again resulst in a very deformed crossfade
2011-12-31 14:06 cth103 Note Added: 0012507
2011-12-31 17:32 the_CLA Note Added: 0012508
2012-05-15 12:15 paul Note Added: 0013242
2012-05-15 12:15 paul Status confirmed => resolved
2012-05-15 12:15 paul Resolution open => fixed
2012-05-15 12:15 paul Assigned To => paul